"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalFooterButton = void 0;
const react_1 = __importDefault(require("react"));
const emotion_1 = require("@leafygreen-ui/emotion");
const leafygreen_1 = require("../leafygreen");
const use_theme_1 = require("../../hooks/use-theme");
const buttonStyle = {
    [use_theme_1.Theme.Light]: (0, emotion_1.css)({
        margin: '0 2px',
        '&:first-of-type': {
            margin: '0 0 0 5px',
        },
        '&:last-of-type': {
            margin: '0 5px 0 0',
        },
    }),
    [use_theme_1.Theme.Dark]: (0, emotion_1.css)({
        margin: '0 2px',
        '&:first-of-type': {
            margin: '0 0 0 4px',
        },
        '&:last-of-type': {
            margin: '0 4px 0 0',
        },
    }),
};
function ModalFooterButton({ className, ...props }) {
    const darkMode = (0, use_theme_1.useDarkMode)();
    return (react_1.default.createElement(leafygreen_1.Button, { ...props, className: (0, emotion_1.cx)(className, buttonStyle[darkMode ? use_theme_1.Theme.Dark : use_theme_1.Theme.Light]) }));
}
exports.ModalFooterButton = ModalFooterButton;
//# sourceMappingURL=modal-footer-button.js.map